Bug 1384508 - [abrt] gnome-session: _gtk_style_provider_private_get_settings(): gnome-session-failed killed by SIGSEGV
Summary: [abrt] gnome-session: _gtk_style_provider_private_get_settings(): gnome-sessi...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 25
Hardware: x86_64
OS: Solaris
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4f638432e8ea1a13af56e752389...
Keywords: CommonBugs, Reopened
: 1410676 1431280 1447452 1448807 1459316 1471590 1473014 1493272 (view as bug list)
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-13 12:43 UTC by Gerard Ryan
Modified: 2017-12-12 11:00 UTC (History)
117 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 11:00:48 UTC


Attachments (Terms of Use)
File: backtrace (13.28 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: core_backtrace (5.76 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: dso_list (7.35 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: environ (1.08 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: maps (34.28 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: mountinfo (3.89 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: open_fds (225 bytes, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: proc_pid_status (1.16 KB, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-10-13 12:43 UTC, Gerard Ryan
no flags Details
journal during failed login attempt (9.15 KB, text/plain)
2016-11-28 19:49 UTC, Kamil Páral
no flags Details
core_backtrace (5.76 KB, text/plain)
2016-11-29 02:51 UTC, srakitnican
no flags Details
Journal of failed wayland login attempt (7.28 KB, text/plain)
2016-12-02 11:59 UTC, DBV
no flags Details
Package Upgrade Operation Immediately Preceding Problem (39.70 KB, text/plain)
2017-02-01 04:14 UTC, Dylan Combs
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 775463 None None None 2016-12-01 12:40 UTC
Red Hat Bugzilla 1382444 None None None Never
Red Hat Bugzilla 1384486 None None None Never

Internal Trackers: 1382444 1384486

Description Gerard Ryan 2016-10-13 12:43:14 UTC
Version-Release number of selected component:
gnome-session-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     25146
kernel:         4.8.0-0.rc8.git0.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:237
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:122
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:195
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:164
 #6 gtk_css_node_init at gtkcssnode.c:663
 #7 g_type_create_instance at gtype.c:1860
 #8 g_object_new_internal at gobject.c:1783
 #11 gtk_css_widget_node_new at gtkcsswidgetnode.c:301

Comment 1 Gerard Ryan 2016-10-13 12:43:19 UTC
Created attachment 1210055 [details]
File: backtrace

Comment 2 Gerard Ryan 2016-10-13 12:43:21 UTC
Created attachment 1210056 [details]
File: cgroup

Comment 3 Gerard Ryan 2016-10-13 12:43:23 UTC
Created attachment 1210057 [details]
File: core_backtrace

Comment 4 Gerard Ryan 2016-10-13 12:43:24 UTC
Created attachment 1210058 [details]
File: dso_list

Comment 5 Gerard Ryan 2016-10-13 12:43:25 UTC
Created attachment 1210059 [details]
File: environ

Comment 6 Gerard Ryan 2016-10-13 12:43:27 UTC
Created attachment 1210060 [details]
File: exploitable

Comment 7 Gerard Ryan 2016-10-13 12:43:28 UTC
Created attachment 1210061 [details]
File: limits

Comment 8 Gerard Ryan 2016-10-13 12:43:30 UTC
Created attachment 1210062 [details]
File: maps

Comment 9 Gerard Ryan 2016-10-13 12:43:31 UTC
Created attachment 1210063 [details]
File: mountinfo

Comment 10 Gerard Ryan 2016-10-13 12:43:33 UTC
Created attachment 1210064 [details]
File: namespaces

Comment 11 Gerard Ryan 2016-10-13 12:43:34 UTC
Created attachment 1210065 [details]
File: open_fds

Comment 12 Gerard Ryan 2016-10-13 12:43:35 UTC
Created attachment 1210066 [details]
File: proc_pid_status

Comment 13 Gerard Ryan 2016-10-13 12:43:37 UTC
Created attachment 1210067 [details]
File: var_log_messages

Comment 14 Bryce 2016-10-18 21:04:17 UTC
Note: recent rpm updates seem to have fixed this issue.

Comment 15 Jeremy Linton 2016-10-21 18:43:25 UTC
Abrt, is reporting a duplicate problem with 3.23.2-fc26 on aarch64. 

I can attach futher info, but looking at the backtrace is looks similar. What RPM update fixed it?

Comment 16 Gerard Ryan 2016-10-31 01:48:16 UTC
I've just had this happen with 3.22.1-2.fc25.x86_64, so it doesn't appear to be fixed.

Each time, there has been a crash in xorg-x11-server (I'm not sure if this causes those, or vice-versa). I had already added bug 1384486 to "See Also", and adding bug 1382444 there now.

Comment 17 Fedora Blocker Bugs Application 2016-10-31 02:13:11 UTC
Proposed as a Blocker for 25-final by Fedora user galileo using the blocker tracking app because:

 This bug (or the related "See Also" bugs, I'm not sure which causes which) results in a crash that drops the user back to the login screen (resulting in desktop applications being terminated). As this seems severe, and is an instability that did not exist in F24, I'm proposing it as a blocker.

I notice that there's a related update that I don't have (xorg-x11-server-1.19.0-0.3.20161026.fc25) which could potentially fix this, but there's no indication from the update page (https://bodhi.fedoraproject.org/updates/FEDORA-2016-b01dbd9b2b) that it explicitly fixes this. Also, dnf seems to be failing to synchronise repo caches at the moment so I've only noticed that update now as I've been typing this. I'll download and install it manually, but as I don't know how to reliably reproduce this problem, I'm not sure how much use that will be. I'll be back in the office on Tuesday, where the problem seems to occur more frequently (potentially related to it being a different display configuration?).

Comment 18 leigh scott 2016-10-31 11:57:47 UTC
This gtk3 issue has been around for a few releases

https://bugzilla.redhat.com/show_bug.cgi?id=1271837

Comment 19 Joel Ong 2016-10-31 13:52:07 UTC
The 20161026 release doesn't seem to fix this for me

Comment 20 Geoffrey Marr 2016-10-31 18:47:59 UTC
Discussed during the 2016-10-31 blocker review meeting: [1]

The decision to classify this bug as a RejectedBlocker was made as the currently stated details seem to imply that this bug affects only a few users. If more information arises to suggest the impact of this bug is more widespread, we will consider a reclassification to blocker status.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-10-31/f25-blocker-review.2016-10-31-16.01.txt

Comment 21 Łukasz Faber 2016-11-08 16:16:13 UTC
I had this today with gnome-session-3.22.1-2.fc25 and in parallel with https://bugzilla.redhat.com/show_bug.cgi?id=1389886 (on xorg-x11-server-Xorg-1.19.0-0.7.rc2.fc25).

Comment 22 Nuno Dias 2016-11-18 11:56:00 UTC
Problem still around, I had this problem today.

Comment 23 Sandro Bonazzola 2016-11-25 15:35:16 UTC
Same, 3.22.1-2.fc25.x86_64

Comment 24 Andre Robatino 2016-11-25 18:02:53 UTC
I've only had this happen 2 or 3 times (while running GNOME in Wayland) in the week after clean installing F25, but each time I think I was running xpdf. Could specific applications trigger this?

Comment 25 Kamil Páral 2016-11-28 10:26:51 UTC
On one of my computers I get this crash every single time I want to log in after a clean boot. I'm thrown back to a login screen. A second login attempt works fine.

Comment 26 Kamil Páral 2016-11-28 17:40:06 UTC
Similar problem has been detected:

Every second login attempt fails and this is then in abrt. I think this is closely related or a duplicate of bug 1384508.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     1241
kernel:         4.8.10-300.fc25.x86_64
package:        gnome-session-3.22.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 27 Kamil Páral 2016-11-28 19:46:47 UTC
I finally found the issue. I see the login not working every second time, if I have "org.gnome.SessionManager auto-save-session" set to true. If I set it to false, the failed login attempts disappear. Tested on two computers that exhibit the problem, fixed for both.

Other reporters: If you can reproduce the problem reliably, can you check whether this setting also fixes the problem for you? Use 
$ gsettings get org.gnome.SessionManager auto-save-session
to see the current value, and
$ gsettings set org.gnome.SessionManager auto-save-session false
(or true) to set a new value. Thanks.

Comment 28 Kamil Páral 2016-11-28 19:49 UTC
Created attachment 1225459 [details]
journal during failed login attempt

Comment 29 srakitnican 2016-11-28 22:43:58 UTC
(In reply to Kamil Páral from comment #27)
> Other reporters: If you can reproduce the problem reliably, can you check
> whether this setting also fixes the problem for you? Use 
> $ gsettings get org.gnome.SessionManager auto-save-session
> to see the current value, and
> $ gsettings set org.gnome.SessionManager auto-save-session false
> (or true) to set a new value. Thanks.

Yes, I can reproduce with value 'true', however I am pretty sure I was not set this value before, so it seems it can also happen with 'false'.

This is reproducible for me with Wayland, X.org is not affected for me by this value change.

Comment 30 Adam Williamson 2016-11-29 00:01:38 UTC
"however I am pretty sure I was not set this value before"

on what grounds are you sure of that?

Comment 31 srakitnican 2016-11-29 00:54:43 UTC
(In reply to Adam Williamson from comment #30)
> "however I am pretty sure I was not set this value before"
> 
> on what grounds are you sure of that?

Because I usually don't tend to just randomly change values that I don't know what they are for. Unless something changed it for me, then there is a possibility I guess.

https://github.com/GNOME/gnome-session/blob/master/data/org.gnome.SessionManager.gschema.xml.in#L4

Comment 32 Adam Williamson 2016-11-29 01:36:06 UTC
That's the default *now*. It wasn't necessarily the default when you installed your system.

Comment 33 srakitnican 2016-11-29 02:04:57 UTC
If you are referring to upstream possibly changing the default setting, then I fail to find any commits regarding that for the last couple of years.

My "unmodified" setting before I changed to test requested case was 'false'.

Comment 34 Adam Williamson 2016-11-29 02:10:23 UTC
aha, ok, *that's* the important thing to know. still, be good to hear from other reporters. are you definitely actually hitting the same backtrace as kparal?

Comment 35 srakitnican 2016-11-29 02:35:11 UTC
Well, I am not sure. ABRT is linking me to this bugreport as "already been reported".

Comment 36 Adam Williamson 2016-11-29 02:38:19 UTC
abrt isn't *always* right. you should at least be able to see the non-complete backtrace by looking at the file core_backtrace in the crash's directory under /var/spool/abrt (most likely)...

Comment 37 srakitnican 2016-11-29 02:51 UTC
Created attachment 1225584 [details]
core_backtrace

Not sure how to interpret, core_backtrace attached.

Comment 38 Berend De Schouwer 2016-11-29 07:42:06 UTC
There used to be a GUI to set this value, I think, up to Gnome 3.8.  If that's the same value, then it's plausible that multiple people have it set.

https://bugzilla.gnome.org/show_bug.cgi?id=704675

Mine is set to "true".  I'm setting it to "false."  I got here from abrt.

Comment 39 Łukasz Faber 2016-11-29 09:28:02 UTC
In my case it is set to "false" (and I am sure it was false during last few months).

Comment 40 Gerard Ryan 2016-11-29 21:05:09 UTC
It might be worth mentioning that I (bug creator) am not using Wayland, and I haven't encountered any "every second login fails" problems. Adam's comment that "abrt isn't *always* right" prompted me to make this clear.

Also, I can't remember the last time I encountered this issue (when it was originally at least daily on my work configuration (different external monitor and monitor rotation than otherwise, among other things)).

Comment 41 Adam Williamson 2016-11-30 01:11:26 UTC
it does sound rather like abrt may be duping issues that aren't actually dupes, here.

Comment 42 Kamil Páral 2016-11-30 11:24:40 UTC
From what I understood from the ABRT team, the tracebacks have to be exactly the same in order to point you to the same bug report. However, the same traceback can occur in different scenarios, as is obviously the case here. Something in my login process triggers the same issue that other people see only rarely and not related to login.

Comment 43 Adam Williamson 2016-12-01 00:30:44 UTC
Well, in this case at least, srakitnican's trace is the same as yours, yeah, so that must be the case, I guess...

Comment 44 Kamil Páral 2016-12-01 12:40:52 UTC
(In reply to Kamil Páral from comment #27)
> I finally found the issue. I see the login not working every second time, if
> I have "org.gnome.SessionManager auto-save-session" set to true. If I set it
> to false, the failed login attempts disappear. Tested on two computers that
> exhibit the problem, fixed for both.

I can reproduce the issue with a cleanly installed Fedora 25 and even on a Live image. I reported the issue upstream as:
https://bugzilla.gnome.org/show_bug.cgi?id=775463

Comment 45 Kamil Páral 2016-12-01 12:54:53 UTC
After talking to mcatanzaro, it's slightly more complex. If gnome-session quits unexpectedly, gnome-session-failed is invoked. And that happens to crash and that's the backtrace we see here. But the reasons why gnome-sessions exited might be different, and that's why different people see this for different use cases. The auto-save-session feature is one trigger, but someone has to debug why exactly it crashes, and it's a different issue (so we should probably do it in the upstream bug). This one bug is solely about gnome-session-failed crashing, which is supposedly simply trying the display the sad computer/fail whale image.

Comment 46 Robert Hancock 2016-12-02 00:06:01 UTC
Disabling auto-save-session fixed the problem for me. In my case, gnome-settings-daemon was failing with "Failed to initialize GTK+" before gnome-session-failed was launched and segfaulted:

Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-settings-[2153]: Unable to initialize GTK+
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session[2099]: gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-settings-[2161]: Unable to initialize GTK+
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session[2099]: gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session[2099]: gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' respawning too quickly
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' exited with code 1
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session-binary[2099]: Unrecoverable failure in required component gnome-settings-daemon.desktop
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session-binary[2099]: WARNING: App 'gnome-settings-daemon.desktop' respawning too quickly
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca gnome-session[2099]: Unable to init server: Could not connect: Connection refused
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca audit[2166]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2166 comm="gnome-session-f" exe="/usr/libexec/
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca kernel: show_signal_msg: 174 callbacks suppressed
Nov 28 09:42:12 eng1n65.eng.sedsystems.ca kernel: gnome-session-f[2166]: segfault at 0 ip 00007fb806b90229 sp 00007ffe1f775a40 error 4 in libgtk-3.so.0.2200.2[7fb8068b2000+6f0000]

Comment 47 DBV 2016-12-02 11:57:54 UTC
I'm here since I'm facing this problem which directs to this bug:
https://fedoraproject.org/wiki/Common_F25_bugs#every-second-login-fails

However, I have no ABRT traceback, and 
$ gsettings get org.gnome.SessionManager auto-save-session
returns false.

Here is what is observed:
- first GDM login using wayland succeeds
- logout or change user
- attempting new wayland login fails
- attempting xorg logins succeeds.

Reboot resets everything and a new wayland session can be opened.

I logged out and waited for a new minute to attempt a new Wayland session (and then waited for another minute to log back in with xorg). I'm uploading the journal of that minute.

Comment 48 DBV 2016-12-02 11:59 UTC
Created attachment 1227295 [details]
Journal of failed wayland login attempt

Comment 49 James Ettle 2016-12-02 19:26:58 UTC
This is pretty bad, it breaks GNOME 3 on X (and I'm not using Wayland as it is far too buggy and incomplete).

Comment 50 srakitnican 2016-12-02 19:36:16 UTC
(In reply to James from comment #49)
> This is pretty bad, it breaks GNOME 3 on X (and I'm not using Wayland as it
> is far too buggy and incomplete).

Hardly, this bug is about error screen crash, you are probably experiencing some other bug which triggers this one. See comment 45.

Comment 51 James Ettle 2016-12-02 19:45:16 UTC
(In reply to srakitnican from comment #50)
> (In reply to James from comment #49)
> > This is pretty bad, it breaks GNOME 3 on X (and I'm not using Wayland as it
> > is far too buggy and incomplete).
> 
> Hardly, this bug is about error screen crash, you are probably experiencing
> some other bug which triggers this one. See comment 45.

You're right... back to the digging.

Comment 52 Adam Williamson 2016-12-02 20:11:40 UTC
Daniel: please see comment #45 - we've got a kind of unfortunate situation here where it seems like the "Oh no!" screen that's supposed to show up when something else crashes can *itself* crash. Everyone who hits the "Oh no!" screen crash is getting directed here, but the "Oh no!" screen crash itself is probably not what you care about, what you care about is the *previous* crash which caused the "Oh no!" screen to try and show up. And it seems like that can be a different issue in each case, so all the people on this report are not actually hitting the same bug, they just all happen to see the subsequent bug where the "Oh no!" screen crashes :/

I'll update common bugs as best I can later.

Comment 53 DBV 2016-12-02 21:31:50 UTC
Adam, yes I'm was trying to find the implications of #45. I have extracted logs with some errors but they are not related to this bug. So to avoid adding noise here, I'll take action after you update the common bugs page.

Comment 54 Adam Williamson 2016-12-02 21:41:48 UTC
DBV: what you need to do is try and figure out what it was that crashed *before* the 'Oh no!' page crashed, to cause the 'Oh no!' page to try and appear in the first place. I don't know if that crash shows up in abrt or not, but it's worth having a look for other crashes there.

Comment 55 Adam Williamson 2016-12-06 20:09:51 UTC
I've updated commonbugs a little now, so the entry for kparal's bug explicitly covers this wrinkle, and there's a specific entry for the 'oh no!' screen crash which explains that different people may arrive at it in different ways.

Comment 56 Bill Gianopoulos 2016-12-06 20:27:00 UTC
Well there are also a lot of gnome-terminal aborts (and i suspect other apps as well) which are actually caused by the gnome-session aborts.

Comment 57 Thomas 2016-12-07 09:27:06 UTC
I am having a similar issue as the original bug. I updated from Fedora 24 to Fedora 25, I can login but when I logout and try to log back in I get taken back to the login screen, I have to restart to be able to log back in. 'Fedora 64 bit'

Comment 58 William Henry 2016-12-12 19:41:08 UTC
Any update on this bug? (happened again 5 min ago.)

I think for me the initial crash is caused by Chrome (google-chrome-stable) . That causes the gnome-session crash and xorg-x11-server crash. I understand that Fedora doesn't support chrome. But the subsequent crashes shouldn't be happening right? i.e. gnome should gracefully handle the chrome-crash. I will stop trying to use chrome (in parallel to firefox) until this issue with gnome is resolved.

Cheers.

Comment 59 William Henry 2016-12-16 16:50:46 UTC
This is happening more frequently now. F25 is becoming too unstable for me. 3 times already in less than 2 hours, gnome has crashed.

Comment 60 William Henry 2016-12-16 16:59:17 UTC
(In reply to William Henry from comment #59)
> This is happening more frequently now. F25 is becoming too unstable for me.
> 3 times already in less than 2 hours, gnome has crashed.

I mean F25/gnome.  I'm going to switch to KDE to see if it's more stable.

Comment 61 Tobias Schönberg 2016-12-17 11:47:25 UTC
Similar problem has been detected:

I was trying to fix a bug in a Gnome Shell Extension. After a couple of reloads the shell crashed and I could only log back in after renaming the folder of the extension (so it doesn't get loaded).

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     14875
kernel:         4.8.13-300.fc25.x86_64
package:        gnome-session-3.22.2-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 D. Charles Pyle 2016-12-18 02:43:08 UTC
Same here after upgrading to Fedora 25 from a working Fedora 24 system.  No more working GNOME, GNOME Classic, or GNOME X.org.  I'm tossed back out to the greeter after logging in.  Still have not figured out how to fix this situation.  Luckily Mate is working now, or I wouldn't be able to use the system.

Comment 63 William Henry 2016-12-20 18:08:23 UTC
This is not limited to Gnome. I'm having crashes on KDE now too. And not Chrome related. So this is probably more about X11 than gnome. I'd post more details on the KDE crash but my KDE desktop is completely messed up after the crash. 

F25 is too unstable for me. I may have to go back to F24 or even F23 to where my camera worked.

William

Comment 64 Frank Crawford 2016-12-24 04:41:39 UTC
I'm also seeing the problem of not being able to log in the second time consistently, after upgrading from F24 to F25.  While I don't have the auto-save-session set now, or prior to the upgrade, I have had it in the past, so it may have left some items around in my environment.

Secondly, I can recover from it by logging in on another terminal (say ALT-F4) and killing off the GDM session, which seems to be around from the previous login (or permanently?).  Once that restarts I can log in fine, until the next log out.

Comment 65 deadrat 2017-01-09 02:53:15 UTC
*** Bug 1410676 has been marked as a duplicate of this bug. ***

Comment 66 Mark Richards 2017-01-11 16:30:34 UTC
I am seeing this bug on a non-upgraded Fedora 25 installation in a Hyper-V VM as well as on my upgraded F24-F25 home PC. I am running Fedora 25 workstation in a hyper-V vm with minimal packages installed.

[mark@localhost ~]$ sudo dnf history
ID 	| Command line         	| Date and time	| Action(s)  	| Altered
-------------------------------------------------------------------------------
	18 | update               	| 2017-01-11 11:19 | I, U       	|   44   
	17 | install vim-enhanced 	| 2017-01-10 22:12 | Install    	|	4   
	16 | install composer     	| 2017-01-09 15:23 | Install    	|   31   
	15 | install gnome-tweak-tool | 2017-01-09 11:43 | Install    	|	9   
	14 | update               	| 2017-01-09 11:09 | Update     	|   28   
	13 | install ./mysql-workbenc | 2017-01-05 11:25 | Install    	|   20   
	12 | update -y            	| 2017-01-05 09:22 | I, U       	|  445 EE
	11 | install mysql-server 	| 2017-01-04 16:20 | Install    	|	8   
	10 | install php-ZendFramewor | 2017-01-04 16:17 | Install    	|	5   
 	9 | install php-pdo      	| 2017-01-04 16:15 | Install    	|	1   
 	8 | install php-mbstring php | 2017-01-04 15:58 | Install    	|	4   
 	7 | install php-intl     	| 2017-01-04 15:58 | Install    	|	1   
 	6 | install php-mcrypt   	| 2017-01-04 15:58 | Install    	|	2   
 	5 | install php-pear-Net-Cur | 2017-01-04 15:56 | Install    	|	4   
 	4 | install php-opcache  	| 2017-01-04 15:54 | Install    	|	1   
 	3 | install mysql        	| 2017-01-04 15:33 | Install    	|	3   
 	2 | install mod_php      	| 2017-01-04 15:28 | Install    	|	4   
 	1 |                      	| 2016-11-15 16:27 | Install    	| 1485 EE

Comment 67 fourDefinedOmittedFlats 2017-01-17 15:55:21 UTC
I have seen this bug consistently in one of three Fedora 25 installations, regardless of the kernel version, but that may expected if this is a GNOME issue.

Here are data which may prove useful:
  OK: Server. No issues as there is no GUI.
      Workstation (32 bit), running on an old HP netbook.
  KO: Workstation (64 bit) running in Windows 10 Pro Hyper-V
      (for Hyper-V this is not an officially supported version of Linux)

The obvious differences are 32 vs 64 bit but the important one might be virtualization, perhaps triggering race conditions. I remember, for example, that there is an inherent race in setting a process group leader, so it needs to be done by the parent and child processes alike. Virtualization could affect timing, both in 'real' time and in deterministic paths that code might take depending on implementation.

Comment 68 Matthew Brabham 2017-01-17 21:40:20 UTC
(In reply to Tobias Schönberg from comment #61)
> Similar problem has been detected:
> 
> I was trying to fix a bug in a Gnome Shell Extension. After a couple of
> reloads the shell crashed and I could only log back in after renaming the
> folder of the extension (so it doesn't get loaded).
> 
> reporter:       libreport-2.8.0
> backtrace_rating: 4
> cmdline:        /usr/libexec/gnome-session-failed --allow-logout
> crash_function: _gtk_style_provider_private_get_settings
> executable:     /usr/libexec/gnome-session-failed
> global_pid:     14875
> kernel:         4.8.13-300.fc25.x86_64
> package:        gnome-session-3.22.2-1.fc25
> pkg_fingerprint: 4089 D8F2 FDB1 9C98
> pkg_vendor:     Fedora Project
> reason:         gnome-session-failed killed by SIGSEGV
> runlevel:       N 5
> type:           CCpp
> uid:            1000

Where you able to trace it back to a specific extension?

I'm having issue but only after upgrading to kernel 4.9.3 on a Lenovo t420

Comment 69 Tobias Schönberg 2017-01-17 22:29:22 UTC
(In reply to Matthew Brabham from comment #68)
> (In reply to Tobias Schönberg from comment #61)
> > Similar problem has been detected:
> > 
> > I was trying to fix a bug in a Gnome Shell Extension. After a couple of
> > reloads the shell crashed and I could only log back in after renaming the
> > folder of the extension (so it doesn't get loaded).
> > 
> > reporter:       libreport-2.8.0
> > backtrace_rating: 4
> > cmdline:        /usr/libexec/gnome-session-failed --allow-logout
> > crash_function: _gtk_style_provider_private_get_settings
> > executable:     /usr/libexec/gnome-session-failed
> > global_pid:     14875
> > kernel:         4.8.13-300.fc25.x86_64
> > package:        gnome-session-3.22.2-1.fc25
> > pkg_fingerprint: 4089 D8F2 FDB1 9C98
> > pkg_vendor:     Fedora Project
> > reason:         gnome-session-failed killed by SIGSEGV
> > runlevel:       N 5
> > type:           CCpp
> > uid:            1000
> 
> Where you able to trace it back to a specific extension?
> 
> I'm having issue but only after upgrading to kernel 4.9.3 on a Lenovo t420


It was EasyScreenCast. But only during trying to fix an issue with the extension. You could problem reproduce it by putting some errors in the code.

Comment 70 Abhishek Gupta 2017-01-22 09:18:32 UTC
Similar problem has been detected:

I was trying to login after updating all available packages.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     8741
kernel:         4.9.4-201.fc25.x86_64
package:        gnome-session-3.22.2-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 71 fourDefinedOmittedFlats 2017-01-25 17:07:27 UTC
I thought the following observations may be interesting:
-- I continue to experience the problem running in Hyper-V for all Fedora
   kernels up to and including 4.9.5 (no real surprise).
-- org.gnome.SessionManager auto-save-session is false (no real surprise).
>> I notice (having tried it for the first time ever) that automatic login
   fails as well (it works on my machine where no second login issue happens).

For persons familiar with the GDM this may offer a clue.

Comment 72 j.jimenez.anca 2017-01-31 13:38:48 UTC
Just to report that this is still happening on Fedora 25

Problem is marked as a duplicate for this issue by the reporter, but just in case this is the stacktrace

[ {   "crash_thread": true
        ,   "frames":
              [ {   "address": 139842645641369
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 3008665
                ,   "function_name": "_gtk_style_provider_private_get_settings"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644182248
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1549544
                ,   "function_name": "gtk_css_value_initial_compute"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644268452
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1635748
                ,   "function_name": "gtk_css_static_style_compute_value"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644187164
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1554460
                ,   "function_name": "_gtk_css_lookup_resolve"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644268236
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1635532
                ,   "function_name": "gtk_css_static_style_new_compute"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644268325
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1635621
                ,   "function_name": "gtk_css_static_style_get_default"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842644189586
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1556882
                ,   "function_name": "gtk_css_node_init"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842618886079
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 206783
                ,   "function_name": "g_type_create_instance"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618762907
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 83611
                ,   "function_name": "g_object_new_internal"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618769581
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 90285
                ,   "function_name": "g_object_newv"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618771556
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 92260
                ,   "function_name": "g_object_new"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842644302346
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 1669642
                ,   "function_name": "gtk_css_widget_node_new"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842646260199
                ,   "build_id": "560be2ff034142f03b40ec4bb94d72dc3f752e43"
                ,   "build_id_offset": 3627495
                ,   "function_name": "gtk_widget_init"
                ,   "file_name": "/usr/lib64/libgtk-3.so.0.2200.7"
                }
              , {   "address": 139842618886079
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 206783
                ,   "function_name": "g_type_create_instance"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618762907
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 83611
                ,   "function_name": "g_object_new_internal"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618769581
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 90285
                ,   "function_name": "g_object_newv"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 139842618771556
                ,   "build_id": "3b23adf5d257ae46786632d8eb91040123f978af"
                ,   "build_id_offset": 92260
                ,   "function_name": "g_object_new"
                ,   "file_name": "/usr/lib64/libgobject-2.0.so.0.5000.2"
                }
              , {   "address": 94385653739122
                ,   "build_id": "ea7bf434e04abcce0b92b4707ddff146900977bd"
                ,   "build_id_offset": 7794
                ,   "function_name": "main"
                ,   "file_name": "/usr/libexec/gnome-session-failed"
                } ]
        } ]

Comment 73 Dylan Combs 2017-02-01 04:14 UTC
Created attachment 1246508 [details]
Package Upgrade Operation Immediately Preceding Problem

On reboot, after this operation, my machine began exhibiting the problem described in my comment.

Comment 74 Dylan Combs 2017-02-01 04:22:41 UTC
Uh..right.  Sorry, slightly new to bugzilla.  Anyway,

I am running the proprietary Nvidia driver (375.26) with a GeForce GTX 960.  I was directed to this bug by the abrt which informed me that it was an issue I had faced before:

id 17b6006ae570bb3d260da65a353ceb7b5b1d8b90
reason:         gnome-session-failed killed by SIGSEGV
time:           Thu 01 Dec 2016 12:32:59 PM EST
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
package:        gnome-session-3.22.2-1.fc25
uid:            1000 (Dylan)
count:          33
Directory:      /var/spool/abrt/ccpp-2016-12-01-12:32:59-1871
Reported:       https://retrace.fedoraproject.org/faf/reports/bthash/66c610a4c93212cc3ece579ca9ee1fb77cda7b0f
                https://retrace.fedoraproject.org/faf/reports/1434355/
                https://bugzilla.redhat.com/show_bug.cgi?id=1384508

Back then, it seemed to have been caused by the quickly-replaced mutter-3.22.2-1.fc25.x86_64 package.  Downgrading back to mutter-3.22.1-8.fc25.x86_64 resolved the matter until an upgrade to mutter-3.22.2-3.fc25.x86_64 seemed to have permanently resolved the issue.

Now, however, as you can see by my attached file, the upgrade operation which seems to have caused the issue does not include a mutter package upgrade.  I did try downgrading it to mutter-3.22.1-8.fc25.x86_64 nonetheless, but to no avail.

As yet, I have been unable to identify a set of packages responsible; unfortunately, a full rollback operation is inhibited by certain unavailable packages.

I'm glad to provide more information if need be!

Comment 75 Matthew Brabham 2017-02-06 01:24:22 UTC
So I did some testing on my laptop that this issue comes up with latest updates. My laptop has Nvidia Optimus and if I set the system to use Integrated graphics everything is fine but when I change the BIOS to use Optimus/Discrete then I get these issues.

I am using Nouveau Drivers for the Nvidia card

hardware is Lenovo T420 
CPU: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
Video: Nvidia NVS 4200

Comment 76 Thomas Drake-Brockman 2017-02-06 01:46:25 UTC
In a similar situation to Matthew above. On a ThinkPad W530 with Optimus enabled gnome session crashes when I attempt to log in. Doesn't occur if I choose Gnome on X11, appears specific to Wayland somehow.

Comment 77 Per Arnold Blåsmo 2017-02-20 08:13:32 UTC
Similar problem has been detected:

Using gnomes standard alt-tab to browse trough open windows makes the session crash.
Can often do it a couple of times before it crashes.
Seems like it crashes when one of the windows is a firefox windows?
Using another extension (Covedrflow alt-tab), to replace standard alt-tab, makes the problem go away.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     6424
kernel:         4.9.9-200.fc25.x86_64
package:        gnome-session-3.22.2-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1749

Comment 78 fourDefinedOmittedFlats 2017-03-09 14:56:07 UTC
Just tried again today after a massive update. Bug now gone. Unfortunately I'm not able to say which update did the trick.

Comment 79 jan p. springer 2017-03-10 20:37:02 UTC
*** Bug 1431280 has been marked as a duplicate of this bug. ***

Comment 80 Matthew Brabham 2017-03-29 20:33:22 UTC
Updated to latest Kernel 4.10 from updates and retested my Optimus and it started working again, although it falls back to use Xorg vs Wayland on Nouveau driver. Which I thought it was supposed to use Wayland.....

Comment 81 Philipp Raich 2017-04-29 15:45:18 UTC
Although this does not solve the bug itself, I identified the cause for my regular encounter with this: in my dconf settings for #org/gnome/gnome-session'  "auto_save_session" was set to true (I guess I carried this setting with my /home for a long time now), which would fail, and the attempt at displaying the fail-whale would then run into a gobject which was none, causing the SIGSEGV

Just adding for the rare chance that it might be helpful to anyone.

Comment 82 xzj8b3 2017-05-02 20:35:03 UTC
*** Bug 1447452 has been marked as a duplicate of this bug. ***

Comment 83 Brian J. Murrell 2017-05-06 14:27:22 UTC
Similar problem has been detected:

Trying to log in to GNOME desktop

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     7895
kernel:         4.10.13-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1007

Comment 84 Brian J. Murrell 2017-05-06 14:40:41 UTC
The abrt-provided backtrace from my occurrence above:

warning: core file may not match specified executable file.
[New LWP 7895]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//usr/lib64/libz.so.1.2.8.debug" does not match "/lib64/libz.so.1" (CRC mismatch).

Core was generated by `/usr/libexec/gnome-session-failed --allow-logout'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f6ab58253a9 in _gtk_style_provider_private_get_settings (provider=0x0) at gtkstyleproviderprivate.c:123
123	gtkstyleproviderprivate.c: No such file or directory.

Thread 1 (Thread 0x7f6ab5fa2a40 (LWP 7895)):
#0  0x00007f6ab58253a9 in _gtk_style_provider_private_get_settings (provider=0x0) at gtkstyleproviderprivate.c:123
        iface = <optimized out>
#1  0x00007f6ab56c0ab8 in gtk_css_value_initial_compute (value=<optimized out>, property_id=1, provider=0x0, style=0x5608a8f16020, parent_style=0x0) at gtkcssinitialvalue.c:52
        settings = <optimized out>
#2  0x00007f6ab56d5bb4 in gtk_css_static_style_compute_value (style=0x5608a8f16020, provider=<optimized out>, parent_style=<optimized out>, id=1, specified=0x7f6ab5e4dce0 <inherit>, section=0x0) at gtkcssstaticstyle.c:237
        value = <optimized out>
#3  0x00007f6ab56c1dec in _gtk_css_lookup_resolve (lookup=lookup@entry=0x5608a8f15000, provider=provider@entry=0x0, style=style@entry=0x5608a8f16020, parent_style=parent_style@entry=0x0) at gtkcsslookup.c:122
        i = 1
#4  0x00007f6ab56d5adc in gtk_css_static_style_new_compute (provider=provider@entry=0x0, matcher=matcher@entry=0x0, parent=parent@entry=0x0) at gtkcssstaticstyle.c:195
        result = 0x5608a8f16020
        lookup = 0x5608a8f15000
        change = 4294967295
#5  0x00007f6ab56d5b35 in gtk_css_static_style_get_default () at gtkcssstaticstyle.c:164
        settings = 0x0
#6  0x00007f6ab56c2772 in gtk_css_node_init (cssnode=0x5608a8f02690) at gtkcssnode.c:663
No locals.
#7  0x00007f6ab3ec77bf in g_type_create_instance (type=94595194101056) at gtype.c:1860
        pnode = <optimized out>
        node = 0x5608a8f11d40
        instance = 0x5608a8f02690
        class = 0x5608a8f14500
        allocated = <optimized out>
        private_size = <optimized out>
        ivar_size = <optimized out>
        i = <optimized out>
#8  0x00007f6ab3ea969b in g_object_new_internal (class=class@entry=0x5608a8f14500, params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1783
        nqueue = 0x0
        object = <optimized out>
        __func__ = "g_object_new_internal"
#9  0x00007f6ab3eab0ad in g_object_newv (object_type=object_type@entry=94595194101056, n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0) at gobject.c:1930
        class = 0x5608a8f14500
        unref_class = 0x5608a8f14500
        object = <optimized out>
        __func__ = "g_object_newv"
#10 0x00007f6ab3eab864 in g_object_new (object_type=94595194101056, first_property_name=first_property_name@entry=0x0) at gobject.c:1623
        var_args = {{gp_offset = 2834372512, fp_offset = 22024, overflow_arg_area = 0x5608a8f12000, reg_save_area = 0x1ff0}}
        __func__ = "g_object_new"
#11 0x00007f6ab56de02a in gtk_css_widget_node_new (widget=widget@entry=0x5608a8f12380) at gtkcsswidgetnode.c:297
        result = <optimized out>
#12 0x00007f6ab58bcb99 in gtk_widget_init (instance=0x5608a8f12380, g_class=0x5608a8f117a0) at gtkwidget.c:4414
        widget = 0x5608a8f12380
        priv = 0x5608a8f12290
        __func__ = "gtk_widget_init"
#13 0x00007f6ab3ec77bf in g_type_create_instance (type=94595194023520) at gtype.c:1860
        pnode = <optimized out>
        node = 0x5608a8efee60
        instance = 0x5608a8f12380
        class = 0x5608a8f117a0
        allocated = <optimized out>
        private_size = <optimized out>
        ivar_size = <optimized out>
        i = <optimized out>
#14 0x00007f6ab3ea969b in g_object_new_internal (class=class@entry=0x5608a8f117a0, params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1783
        nqueue = 0x0
        object = <optimized out>
        __func__ = "g_object_new_internal"
#15 0x00007f6ab3eab0ad in g_object_newv (object_type=object_type@entry=94595194023520, n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0) at gobject.c:1930
        class = 0x5608a8f117a0
        unref_class = 0x5608a8f117a0
        object = <optimized out>
        __func__ = "g_object_newv"
#16 0x00007f6ab3eab864 in g_object_new (object_type=94595194023520, first_property_name=0x0) at gobject.c:1623
        var_args = {{gp_offset = 2755683232, fp_offset = 32765, overflow_arg_area = 0x5608a8efe870, reg_save_area = 0x7ffda44063a0}}
        __func__ = "g_object_new"
#17 0x00005608a71dde72 in main (argc=<optimized out>, argv=<optimized out>) at gsm-fail-whale-dialog.c:382
        entries = {{long_name = 0x5608a71debbf "debug", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x5608a73e00f8 <debug_mode>, description = 0x5608a71debc5 "Enable debugging code", arg_description = 0x0}, {long_name = 0x5608a71debdb "allow-logout", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x5608a73e00f4 <allow_logout>, description = 0x5608a71debe8 "Allow logout", arg_description = 0x0}, {long_name = 0x5608a71debf5 "extensions", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x5608a73e00f0 <extensions>, description = 0x5608a71dec00 "Show extension warning", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
        fail_dialog = <optimized out>
        error = 0x0
From                To                  Syms Read   Shared Object Library
0x00007f6ab55cb4b0  0x00007f6ab590e819  Yes         /lib64/libgtk-3.so.0
0x00007f6ab527b170  0x00007f6ab52ef3c1  Yes         /lib64/libgdk-3.so.0
0x00007f6ab50494f0  0x00007f6ab504e3b6  Yes         /lib64/libpangocairo-1.0.so.0
0x00007f6ab4e058d0  0x00007f6ab4e24c86  Yes         /lib64/libpango-1.0.so.0
0x00007f6ab4bddb20  0x00007f6ab4bea0a3  Yes (*)     /lib64/libatk-1.0.so.0
0x00007f6ab49cd4e0  0x00007f6ab49ce479  Yes         /lib64/libcairo-gobject.so.2
0x00007f6ab46b3d60  0x00007f6ab4783b38  Yes         /lib64/libcairo.so.2
0x00007f6ab4480c20  0x00007f6ab4496539  Yes         /lib64/libgdk_pixbuf-2.0.so.0
0x00007f6ab411c650  0x00007f6ab41f739e  Yes         /lib64/libgio-2.0.so.0
0x00007f6ab3e9f340  0x00007f6ab3ecfdad  Yes         /lib64/libgobject-2.0.so.0
0x00007f6ab3b9c710  0x00007f6ab3c14599  Yes         /lib64/libglib-2.0.so.0
0x00007f6ab37db9d0  0x00007f6ab392bad3  Yes         /lib64/libc.so.6
0x00007f6ab35b9050  0x00007f6ab35b9f55  Yes         /lib64/libgmodule-2.0.so.0
0x00007f6ab3295960  0x00007f6ab331cfa4  Yes         /lib64/libX11.so.6
0x00007f6ab306b0d0  0x00007f6ab3075927  Yes         /lib64/libXi.so.6
0x00007f6ab2e644e0  0x00007f6ab2e66816  Yes (*)     /lib64/libXfixes.so.3
0x00007f6ab2c3db90  0x00007f6ab2c51f69  Yes (*)     /lib64/libatk-bridge-2.0.so.0
0x00007f6ab298d990  0x00007f6ab29d290c  Yes         /lib64/libepoxy.so.0
0x00007f6ab2723a40  0x00007f6ab272bf1d  Yes         /lib64/libpangoft2-1.0.so.0
0x00007f6ab24dfa90  0x00007f6ab24ff6ca  Yes (*)     /lib64/libfontconfig.so.1
0x00007f6ab21d5720  0x00007f6ab2246c0a  Yes         /lib64/libm.so.6
0x00007f6ab1fb7a20  0x00007f6ab1fc4d21  Yes         /lib64/libpthread.so.0
0x00007f6ab1dafb10  0x00007f6ab1db04a4  Yes (*)     /lib64/libXinerama.so.1
0x00007f6ab1ba5c00  0x00007f6ab1babcf5  Yes (*)     /lib64/libXrandr.so.2
0x00007f6ab199b790  0x00007f6ab19a03a7  Yes (*)     /lib64/libXcursor.so.1
0x00007f6ab1796c40  0x00007f6ab17976d5  Yes (*)     /lib64/libXcomposite.so.1
0x00007f6ab1593ba0  0x00007f6ab15944f3  Yes (*)     /lib64/libXdamage.so.1
0x00007f6ab13572b0  0x00007f6ab137214a  Yes         /lib64/libxkbcommon.so.0
0x00007f6ab114c140  0x00007f6ab114dcd1  Yes (*)     /lib64/libwayland-cursor.so.0
0x00007f6ab0f496a0  0x00007f6ab0f49896  Yes         /lib64/libwayland-egl.so.1
0x00007f6ab0d3f3c0  0x00007f6ab0d43c5f  Yes (*)     /lib64/libwayland-client.so.0
0x00007f6ab0b2b570  0x00007f6ab0b355cf  Yes (*)     /lib64/libXext.so.6
0x00007f6ab09220e0  0x00007f6ab09251ff  Yes         /lib64/librt.so.1
0x00007f6ab0717df0  0x00007f6ab071b843  Yes (*)     /lib64/libthai.so.0
0x00007f6ab0514660  0x00007f6ab05147da  Yes         /lib64/libgthread-2.0.so.0
0x00007f6ab02b7220  0x00007f6ab02f6309  Yes (*)     /lib64/libharfbuzz.so.0
0x00007f6ab0010060  0x00007f6ab0081a65  Yes         /lib64/libfreetype.so.6
0x00007f6aafd66360  0x00007f6aafdec19d  Yes (*)     /lib64/libpixman-1.so.0
0x00007f6aafb4bdf0  0x00007f6aafb56157  Yes         /lib64/libEGL.so.1
0x00007f6aaf945da0  0x00007f6aaf9469ae  Yes         /lib64/libdl.so.2
0x00007f6aaf717020  0x00007f6aaf7385eb  Yes         /lib64/libpng16.so.16
0x00007f6aaf50ed90  0x00007f6aaf50f8a3  Yes (*)     /lib64/libxcb-shm.so.0
0x00007f6aaf2f1700  0x00007f6aaf303415  Yes (*)     /lib64/libxcb.so.1
0x00007f6aaf0dcfe0  0x00007f6aaf0e1908  Yes (*)     /lib64/libxcb-render.so.0
0x00007f6aaeecfa00  0x00007f6aaeed5a55  Yes (*)     /lib64/libXrender.so.1
0x00007f6aaecba060  0x00007f6aaecc6547  Yes (*)     /lib64/libz.so.1
0x00007f6aaea6c320  0x00007f6aaea6fd11  Yes         /lib64/libGL.so.1
0x00007f6aae8256f0  0x00007f6aae829eb4  Yes (*)     /lib64/libffi.so.6
0x00007f6aae5b25c0  0x00007f6aae604831  Yes         /lib64/libpcre.so.1
0x00007f6aae390320  0x00007f6aae3a639f  Yes         /lib64/libselinux.so.1
0x00007f6aae172990  0x00007f6aae182080  Yes         /lib64/libresolv.so.2
0x00007f6aadf2fc00  0x00007f6aadf5ce29  Yes         /lib64/libmount.so.1
0x00007f6ab5e55ad0  0x00007f6ab5e734f0  Yes         /lib64/ld-linux-x86-64.so.2
0x00007f6aadd02e70  0x00007f6aadd144b8  Yes         /lib64/libatspi.so.0
0x00007f6aadab1860  0x00007f6aadadcf01  Yes         /lib64/libdbus-1.so.3
0x00007f6aad87dcf0  0x00007f6aad8963b9  Yes (*)     /lib64/libexpat.so.1
0x00007f6aad6732d0  0x00007f6aad676560  Yes (*)     /lib64/libdatrie.so.1
0x00007f6aad4486d0  0x00007f6aad469308  Yes (*)     /lib64/libgraphite2.so.3
0x00007f6aad2375d0  0x00007f6aad243322  Yes         /lib64/libbz2.so.1
0x00007f6aacfbeb10  0x00007f6aacfc19a7  Yes         /lib64/libGLdispatch.so.0
0x00007f6aacd7cda0  0x00007f6aacd7dae9  Yes (*)     /lib64/libXau.so.6
0x00007f6aacb4d9e0  0x00007f6aacb578c4  Yes         /lib64/libGLX.so.0
0x00007f6aac910660  0x00007f6aac937dd9  Yes         /lib64/libblkid.so.1
0x00007f6aac704450  0x00007f6aac705af1  Yes         /lib64/libuuid.so.1
0x00007f6ab5fb9320  0x00007f6ab601338f  Yes         /lib64/libsystemd.so.0
0x00007f6aac4eeaa0  0x00007f6aac4fe8b5  Yes         /lib64/libgcc_s.so.1
0x00007f6aac2e8520  0x00007f6aac2e9e86  Yes (*)     /lib64/libcap.so.2
0x00007f6aac0c3da0  0x00007f6aac0da912  Yes (*)     /lib64/liblzma.so.5
0x00007f6aabeaf390  0x00007f6aabebdad1  Yes         /lib64/liblz4.so.1
0x00007f6aabbcf600  0x00007f6aabc73e48  Yes (*)     /lib64/libgcrypt.so.20
0x00007f6aab9b5820  0x00007f6aab9bede9  Yes (*)     /lib64/libgpg-error.so.0
0x00007f6aab7a31a0  0x00007f6aab7a9081  Yes         /lib64/libnss_files.so.2
0x00007f6aab599440  0x00007f6aab59e0ba  Yes         /lib64/libnss_sss.so.2
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x5608a8f20480	94595194160256
rbx            0x0	0
rcx            0x7f6ab38bdbf9	140096255548409
rdx            0x7fffffff	2147483647
rsi            0x1	1
rdi            0x7f6ab3e93e70	140096261668464
rbp            0x0	0x0
rsp            0x7ffda4405bf0	0x7ffda4405bf0
r8             0x6	6
r9             0x5608a8f20480	94595194160256
r10            0x0	0
r11            0x246	582
r12            0x5608a8f16020	94595194118176
r13            0x0	0
r14            0x5608a8f16028	94595194118184
r15            0x1	1
rip            0x7f6ab58253a9	0x7f6ab58253a9 <_gtk_style_provider_private_get_settings+9>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
st0            0	(raw 0x00000000000000000000)
st1            0	(raw 0x00000000000000000000)
st2            0	(raw 0x00000000000000000000)
st3            0	(raw 0x00000000000000000000)
st4            0	(raw 0x00000000000000000000)
st5            0	(raw 0x00000000000000000000)
st6            0	(raw 0x00000000000000000000)
st7            0	(raw 0x00000000000000000000)
fctrl          0x37f	895
fstat          0x0	0
ftag           0xffff	65535
fiseg          0x0	0
fioff          0x0	0
foseg          0x0	0
fooff          0x0	0
fop            0x0	0
xmm0           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm1           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm2           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm3           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x8000000000000000, 0x0}, v16_int8 = {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0xffffffff, 0xffffffff, 0x0, 0x0}, v2_int64 = {0xffffffffffffffff, 0x0}, uint128 = 0x0000000000000000ffffffffffffffff}
xmm4           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x8000000000000000, 0x8000000000000000}, v16_int8 = {0x70, 0x61, 0x74, 0x68, 0x5f, 0x67, 0x65, 0x74, 0x5f, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x5f}, v8_int16 = {0x6170, 0x6874, 0x675f, 0x7465, 0x6f5f, 0x6a62, 0x6365, 0x5f74}, v4_int32 = {0x68746170, 0x7465675f, 0x6a626f5f, 0x5f746365}, v2_int64 = {0x7465675f68746170, 0x5f7463656a626f5f}, uint128 = 0x5f7463656a626f5f7465675f68746170}
xmm5           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x8000000000000000, 0x8000000000000000}, v16_int8 = {0x73, 0x5f, 0x61, 0x20, 0x28, 0x67, 0x74, 0x6b, 0x5f, 0x77, 0x69, 0x64, 0x67, 0x65, 0x74, 0x5f}, v8_int16 = {0x5f73, 0x2061, 0x6728, 0x6b74, 0x775f, 0x6469, 0x6567, 0x5f74}, v4_int32 = {0x20615f73, 0x6b746728, 0x6469775f, 0x5f746567}, v2_int64 = {0x6b74672820615f73, 0x5f7465676469775f}, uint128 = 0x5f7465676469775f6b74672820615f73}
xmm6           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x8000000000000000}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x67, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x5f, 0x69}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x5f67, 0x7974, 0x6570, 0x695f}, v4_int32 = {0x0, 0x0, 0x79745f67, 0x695f6570}, v2_int64 = {0x0, 0x695f657079745f67}, uint128 = 0x695f657079745f670000000000000000}
xmm7           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm8           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80, 0x9d, 0xef, 0xa8, 0x8, 0x56, 0x0, 0x0}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x9d80, 0xa8ef, 0x5608, 0x0}, v4_int32 = {0x0, 0x0, 0xa8ef9d80, 0x5608}, v2_int64 = {0x0, 0x5608a8ef9d80}, uint128 = 0x00005608a8ef9d800000000000000000}
xmm9           {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm10          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x8000000000000000}, v16_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff}, v8_int16 = {0x0, 0x0, 0xff00, 0x0, 0x0, 0xff00, 0xffff, 0xffff}, v4_int32 = {0x0, 0xff00, 0xff000000, 0xffffffff}, v2_int64 = {0xff0000000000, 0xffffffffff000000}, uint128 = 0xffffffffff0000000000ff0000000000}
xmm11          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm12          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm13          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm14          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
xmm15          {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0}, v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0}, v2_int64 = {0x0, 0x0}, uint128 = 0x00000000000000000000000000000000}
mxcsr          0x1f80	[ IM DM ZM OM UM PM ]
Dump of assembler code for function _gtk_style_provider_private_get_settings:
   0x00007f6ab58253a0 <+0>:	push   %rbx
   0x00007f6ab58253a1 <+1>:	mov    %rdi,%rbx
   0x00007f6ab58253a4 <+4>:	callq  0x7f6ab58251d0 <_gtk_style_provider_private_get_type>
=> 0x00007f6ab58253a9 <+9>:	mov    (%rbx),%rdi
   0x00007f6ab58253ac <+12>:	mov    %rax,%rsi
   0x00007f6ab58253af <+15>:	callq  0x7f6ab55c7c38
   0x00007f6ab58253b4 <+20>:	mov    0x18(%rax),%rax
   0x00007f6ab58253b8 <+24>:	test   %rax,%rax
   0x00007f6ab58253bb <+27>:	je     0x7f6ab58253c8 <_gtk_style_provider_private_get_settings+40>
   0x00007f6ab58253bd <+29>:	mov    %rbx,%rdi
   0x00007f6ab58253c0 <+32>:	pop    %rbx
   0x00007f6ab58253c1 <+33>:	jmpq   *%rax
   0x00007f6ab58253c3 <+35>:	nopl   0x0(%rax,%rax,1)
   0x00007f6ab58253c8 <+40>:	xor    %eax,%eax
   0x00007f6ab58253ca <+42>:	pop    %rbx
   0x00007f6ab58253cb <+43>:	retq   
End of assembler dump.

Comment 85 patrick.guio 2017-05-08 08:39:29 UTC
*** Bug 1448807 has been marked as a duplicate of this bug. ***

Comment 86 Daniel Brodie 2017-05-09 09:42:00 UTC
Similar problem has been detected:

Just used gnome-shell in regular day to day use

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     12469
kernel:         4.9.14-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 87 David Novák 2017-05-22 14:05:01 UTC
Similar problem has been detected:

Happens very often during user login..

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     11414
kernel:         4.10.9-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 88 David Novák 2017-05-24 15:30:04 UTC
Similar problem has been detected:

Happened when I've tried to unlock my machine.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     10204
kernel:         4.10.15-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 89 Micah Abbott 2017-05-24 19:09:50 UTC
Similar problem has been detected:

I believe this happened when I was trying to unlock my workstation.  I had entered my password and my session was in the process of being displayed and then it seemed to crash.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     27947
kernel:         4.10.14-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 90 Jorge Martínez López 2017-05-27 17:41:48 UTC
Similar problem has been detected:

Waking up from sleep.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     15028
kernel:         4.10.17-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 91 Jorge Martínez López 2017-05-28 08:37:06 UTC
Similar problem has been detected:

Waking up from sleep

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     18080
kernel:         4.10.17-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 92 David Novák 2017-05-28 14:37:30 UTC
Similar problem has been detected:

Happened during log in.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     2557
kernel:         4.10.17-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 93 Micah Abbott 2017-05-31 20:24:36 UTC
Similar problem has been detected:

Happened while logging in after resuming from suspend

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     9184
kernel:         4.10.14-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 94 fourDefinedOmittedFlats 2017-06-01 17:43:44 UTC
From the looks of the above data in various places, especially in tracebacks collected all the way from main(), the program that misbehaves seems to be something that would get executed when some unrecoverable session error occurs.

Trying to debug the above crash is akin to winning the battle and losing (sight of) the war.

What is causing the problem leading to a failed session?

In any event, the crash in gnu-session-failed might be similar to what one sees in a C++ new_handler that calls new: it might work or fail depending on many things.

Comment 95 Adam Williamson 2017-06-01 17:50:39 UTC
fourdefined: you're right, but it's still a bug that the 'gnome-session-failed' process crashes. it's the process that's *meant* to display the "Oh no! Something has gone wrong" message when some part of GNOME that's considered critical fails in an unrecoverable way, so it's very likely that people are encountering this crash after all kinds of *different* critical GNOME failures.

Often if you see this crash, BTW, ABRT should *also* show the actual GNOME crash just before it in the list, and you can report that as well.

Comment 96 Jan Vesely 2017-06-01 18:05:23 UTC
(In reply to fourDefinedOmittedFlats from comment #94)
> From the looks of the above data in various places, especially in tracebacks
> collected all the way from main(), the program that misbehaves seems to be
> something that would get executed when some unrecoverable session error
> occurs.
> 
> Trying to debug the above crash is akin to winning the battle and losing
> (sight of) the war.
> 
> What is causing the problem leading to a failed session?
> 
> In any event, the crash in gnu-session-failed might be similar to what one
> sees in a C++ new_handler that calls new: it might work or fail depending on
> many things.

I ran into this with a bunch of several other bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1457959
a google-chrome-stable crash that was not reported
and a kernel warning:
kernel: ------------[ cut here ]------------
kernel: WARNING: CPU: 5 PID: 0 at net/sched/sch_generic.c:316 dev_watchdog+0x222/0x230
kernel: NETDEV WATCHDOG: enp0s20u4 (MOSCHIP usb-ethernet driver): transmit queue 0 timed out
kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_RE
kernel:  snd_timer snd soundcore kvm irqbypass mei_me mei i2c_i801 intel_cstate ie31200_edac edac_core intel_uncore shpchp lpc_ich tpm_tis tpm_tis_core intel_ra
kernel: CPU: 5 PID: 0 Comm: swapper/5 Not tainted 4.10.17-200.fc25.x86_64 #1
kernel: Hardware name: Dell Inc. OptiPlex 9010/00F82W, BIOS A14 06/11/2013
kernel: Call Trace:
kernel:  <IRQ>
kernel:  dump_stack+0x63/0x86
kernel:  __warn+0xcb/0xf0
kernel:  warn_slowpath_fmt+0x5f/0x80
kernel:  dev_watchdog+0x222/0x230
kernel:  ? qdisc_rcu_free+0x50/0x50
kernel:  call_timer_fn+0x35/0x140
kernel:  run_timer_softirq+0x1d1/0x420
kernel:  ? ktime_get+0x41/0xb0
kernel:  ? sched_clock+0x9/0x10
kernel:  ? sched_clock_cpu+0x99/0xb0
kernel:  __do_softirq+0x10c/0x2c5
kernel:  irq_exit+0xff/0x110
kernel:  smp_apic_timer_interrupt+0x3d/0x50
kernel:  apic_timer_interrupt+0x93/0xa0
kernel: RIP: 0010:cpuidle_enter_state+0x122/0x2c0
kernel: RSP: 0018:ffff9f16031c7e58 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff10
kernel: RAX: 0000000000000000 RBX: 0000000000000001 RCX: 000000000000001f
kernel: RDX: 0000ee7989ee2308 RSI: ffff89996e356d58 RDI: 0000000000000000
kernel: RBP: ffff9f16031c7e98 R08: cccccccccccccccd R09: 0000000000000008
kernel: R10: 0000000000000010 R11: 0000000000000077 R12: ffff89996e361600
kernel: R13: ffffffff8beedf18 R14: 0000000000000001 R15: ffffffff8beedf00
kernel:  </IRQ>
kernel:  ? cpuidle_enter_state+0x110/0x2c0
kernel:  cpuidle_enter+0x17/0x20
kernel:  call_cpuidle+0x23/0x40
kernel:  do_idle+0x189/0x200
kernel:  cpu_startup_entry+0x71/0x80
kernel:  start_secondary+0x154/0x190
kernel:  start_cpu+0x14/0x14
kernel: ---[ end trace 97ba156471298f11 ]---

my guess would be that the system just ran out of memory and things fell apart.

Comment 97 fourDefinedOmittedFlats 2017-06-02 00:42:48 UTC
That may be https://bugzilla.kernel.org/show_bug.cgi?id=99521. BTW, there is a new kernel now.

Comment 98 patrick.guio 2017-06-06 19:07:37 UTC
*** Bug 1459316 has been marked as a duplicate of this bug. ***

Comment 99 Alan Jenkins 2017-06-07 14:38:38 UTC
Similar problem has been detected:

This happens when running `systemctl isolate default.target`.

Please take care when running `systemctl isolate default.target`.
It does not appear to be a good idea; I saw several failures other than gnome-shell crashing.
I report this one because SIGSEGV is often regarded as a bug even if it happens in "impossible"
or unsupported situations.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --debug --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     32356
kernel:         4.11.3-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 100 David Novák 2017-06-09 06:48:07 UTC
Similar problem has been detected:

I tried to log in right after booting the machine.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     2698
kernel:         4.11.3-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 101 Micah Abbott 2017-06-13 17:42:11 UTC
Similar problem has been detected:

I think this happened when I tried to lock my workstation at the end of the day

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     11451
kernel:         4.11.3-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 102 Micah Abbott 2017-06-20 15:26:53 UTC
Similar problem has been detected:

I think I was logging back into my session after locking the screen

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     2565
kernel:         4.11.4-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 103 Fedora Update System 2017-06-21 21:36:01 UTC
gnome-session-3.24.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-782a98300e

Comment 104 Fedora Update System 2017-06-23 06:25:10 UTC
gnome-session-3.24.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-782a98300e

Comment 105 Fedora Update System 2017-06-24 03:07:58 UTC
gnome-session-3.24.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 106 David Novák 2017-06-24 17:11:08 UTC
Similar problem has been detected:

Same as always - upon logging in..

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     16691
kernel:         4.11.5-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 107 Brian J. Murrell 2017-06-24 17:47:36 UTC
(In reply to Fedora Update System from comment #105)
> gnome-session-3.24.1-2.fc26 has been pushed to the Fedora 26 stable
> repository. If problems still persist, please make note of it in this bug
> report.

Before we close this bug and forget about it, can we have a fix for Fedora 25 since that's the version that this bug was opened for?

Comment 108 David Novák 2017-06-25 20:59:36 UTC
Similar problem has been detected:

Happened during user log in - I was thrown back to log in screen after screen blinked few times and then went black..
And it happened two times in row! It's getting rather annoying!

Is there some guide that I can use to do debugging myself (I have basic knowledge and experience in coredump analysis with gdb)..? Or at least easy way to find cause of SIGABRT.. If it was caused by extension then which was it for example.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     2603
kernel:         4.11.6-201.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 109 striker.pena 2017-07-17 02:36:50 UTC
*** Bug 1471590 has been marked as a duplicate of this bug. ***

Comment 110 patrick.guio 2017-07-19 20:42:29 UTC
*** Bug 1473014 has been marked as a duplicate of this bug. ***

Comment 111 Dean Hunter 2017-08-01 02:15:49 UTC
Similar problem has been detected:

I had just cancelled out of a failed xfreerdp session.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     3239
kernel:         4.11.12-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 112 Dean Hunter 2017-08-01 02:33:55 UTC
The error occurs consistently every time I cancel out of xfreerdp.  Problem Reporting shows no other errors have been logged.

Comment 113 David Novák 2017-08-22 15:52:14 UTC
Similar problem has been detected:

Happened during log in and several times (I've logged in sucessfully on 4th attempt).

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-failed --allow-logout
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-session-failed
global_pid:     2650
kernel:         4.11.8-200.fc25.x86_64
package:        gnome-session-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-session-failed killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 114 Ramesh Sahoo 2017-09-19 19:09:23 UTC
*** Bug 1493272 has been marked as a duplicate of this bug. ***

Comment 115 Fedora End Of Life 2017-11-16 14:31:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 116 Fedora End Of Life 2017-12-12 11:00:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.